> For the complete documentation index, see [llms.txt](https://docs.2checkout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/order/orderinformation-object-structure.md).

# OrderInformation object structure

## Parameters

<table><thead><tr><th width="399.39990234375">Parameter</th><th>Type / Description</th></tr></thead><tbody><tr><td><code>RefNo</code></td><td><strong>String</strong><br>Order reference number.</td></tr><tr><td><code>OrderNo</code></td><td><strong>String</strong><br>The consecutive order number associated with orders available in the <a href="https://secure.avangate.com/cpanel/reports.php">Order search</a>.</td></tr><tr><td><code>ExternalRefNo</code></td><td><strong>String</strong><br>The order reference code (max. 100 chars) provided by the seller. Empty string if missing.</td></tr><tr><td><code>ShopperRefNo</code></td><td><strong>String</strong><br>External shopper identifier.</td></tr><tr><td><code>Status</code></td><td><strong>String</strong><br>The status of the order: AUTHRECEIVED, PENDING, TEST<br>(COMPLETE, CANCELED, REVERSED, REFUND statuses are only returned for the <strong>getOrder</strong> method).</td></tr><tr><td><code>ApproveStatus</code></td><td><p><strong>String</strong><br>The status of the order approval as set either automatically by the Avangate system or manually by a member of our anti-fraud department. This status can vary for new purchases or for orders requiring customers to make manual payments.<br>Possible values:</p><ul><li>WAITING: The order has yet to be approved.</li><li>OK: The order has been approved.</li><li>INVALIDDATA: The data supplied by the shopper is invalid. The order was not approved.</li><li>FRAUD: The order is fraudulent.</li></ul></td></tr><tr><td><code>Language</code></td><td><strong>String</strong><br>Language used in the cart during the purchase process.</td></tr><tr><td><code>OrderDate</code></td><td><strong>String</strong><br>The timestamp (in the API time zone defined in Control Panel) used when the order was placed. Format: Y-m-d H:i:s (2014-05-22 00:12:12).</td></tr><tr><td><code>FinishDate</code></td><td><strong>String</strong><br>The timestamp (in the API time zone defined in Control Panel) when the order reached the Complete status. NULL if the order is not finalized. Format: Y-m-d H:i:s (2014-05-22 00:12:12).</td></tr><tr><td><code>Source</code></td><td><strong>String</strong><br>The link source for the sales. The SRC parameter used to track every sale point generator.</td></tr><tr><td><code>AutoRenewalChecked</code></td><td><strong>Boolean</strong><br><strong>True</strong> or <strong>false</strong>, depending on whether the subscription auto-renewal checkbox was checked during the purchase process.</td></tr><tr><td><code>HasShipping</code></td><td><strong>Boolean</strong><br><strong>True</strong> or <strong>false</strong>, depending on whether the order required shipping.</td></tr><tr><td><code>BillingDetails</code></td><td><strong>Object</strong><br>Details below.</td></tr><tr><td><code>BillingDetails.Address</code></td><td><strong>String</strong><br>Shopper billing address.</td></tr><tr><td><code>BillingDetails.City</code></td><td><strong>String</strong><br>Shopper city from the billing address.</td></tr><tr><td><code>BillingDetails.Country</code></td><td><strong>String</strong><br>Shopper country from the billing address.</td></tr><tr><td><code>BillingDetails.Email</code></td><td><strong>String</strong><br>Shopper billing email address.</td></tr><tr><td><code>BillingDetails.FirstName</code></td><td><strong>String</strong><br>Shopper billing name.</td></tr><tr><td><code>BillingDetails.LastName</code></td><td><strong>String</strong><br>Shopper billing surname.</td></tr><tr><td><code>BillingDetails.PostalCode</code></td><td><strong>String</strong><br>Postal code from the billing address.</td></tr><tr><td><code>BillingDetails.State</code></td><td><strong>String</strong><br>Shopper billing state. E.g.: "Alabama".</td></tr><tr><td><code>BillingDetails.Company</code></td><td><strong>String</strong><br>Company name. Can be NULL for end users. When present, <code>FiscalCode</code> must also be provided.</td></tr><tr><td><code>BillingDetails.FiscalCode</code></td><td><strong>String</strong><br>Can be null for end users. For companies, it needs to be the VAT ID, which is validated by Avangate. An error will be thrown if the VAT ID is invalid/incorrect when calling <strong>setPaymentDetails</strong>. When present, Company name must also be provided.</td></tr><tr><td><code>DeliveryDetails</code></td><td><strong>Object</strong><br>Details below.</td></tr><tr><td><code>DeliveryDetails.Address</code></td><td><strong>String</strong><br>Shopper delivery address.</td></tr><tr><td><code>DeliveryDetails.City</code></td><td><strong>String</strong><br>Shopper delivery city.</td></tr><tr><td><code>DeliveryDetails.Country</code></td><td><strong>String</strong><br>Shopper delivery country.</td></tr><tr><td><code>DeliveryDetails.Email</code></td><td><strong>String</strong><br>Shopper email address.</td></tr><tr><td><code>DeliveryDetails.FirstName</code></td><td><strong>String</strong><br>Shopper delivery first name.</td></tr><tr><td><code>DeliveryDetails.LastName</code></td><td><strong>String</strong><br>Shopper delivery last name.</td></tr><tr><td><code>DeliveryDetails.PostalCode</code></td><td><strong>String</strong><br>Shopper delivery postal code.</td></tr><tr><td><code>DeliveryDetails.State</code></td><td><strong>String</strong><br>Shopper delivery state.</td></tr><tr><td><code>DeliveryDetails.Company</code></td><td><strong>String</strong><br>Shopper delivery company. Can be NULL for end users.</td></tr><tr><td><code>PaymentInformation</code></td><td><strong>Object</strong><br>Details below.</td></tr><tr><td><code>PaymentInformation.Type</code></td><td><p><strong>String</strong></p><p>The payment method:</p><ul><li>CC (credit/debit card)</li><li>TEST (for test orders)</li><li>PAYPAL</li><li>WIRE</li><li>OTHER (payment methods not listed above)</li></ul></td></tr><tr><td><code>PaymentInformation.Currency</code></td><td><strong>String</strong><br>Payment currency ISO code – ISO 4217.</td></tr><tr><td><code>PaymentInformation.PaymentMethod</code></td><td><strong>Object</strong><br>Details below.</td></tr><tr><td><code>PaymentInformation.PaymentMethod.FirstDigits</code></td><td><strong>String</strong><br>First four credit card digits.</td></tr><tr><td><code>PaymentInformation.PaymentMethod.LastDigits</code></td><td><strong>String</strong><br>Last four credit card digits.</td></tr><tr><td><code>PaymentInformation.PaymentMethod.CardType</code></td><td><p><strong>String</strong></p><p>Card type:</p><ul><li>VISA</li><li>VISAELECTRON</li><li>MASTERCARD</li><li>MAESTRO</li><li>AMEX</li></ul></td></tr><tr><td><code>Origin</code></td><td><p><strong>String</strong><br>Order origin channel:</p><ul><li>Web</li><li>API</li><li>Mobile</li></ul></td></tr><tr><td><code>Currency</code></td><td><strong>String</strong><br>Order currency.</td></tr><tr><td><code>TotalGeneral</code></td><td><strong>Double</strong><br>Total order value (the costs incurred by the shopper).</td></tr><tr><td><code>TotalWithoutTaxes</code></td><td><strong>Double</strong><br>Total order value without VAT or sales tax.</td></tr><tr><td><code>Taxes</code></td><td><strong>Double</strong><br>VAT or sales tax.</td></tr><tr><td><code>Shipping</code></td><td><strong>Double</strong><br>Shipping costs. NULL if not applicable.</td></tr><tr><td><code>AvangateCommission</code></td><td><strong>Double</strong><br>Avangate order commission.</td></tr><tr><td><code>AffiliateCommission</code></td><td><strong>Double</strong><br>Avangate affiliate commission. NULL if not applicable.</td></tr><tr><td><code>Discount</code></td><td><strong>Double</strong><br>Order discount value. NULL if not applicable.</td></tr><tr><td><code>Products</code></td><td><strong>Array of objects</strong><br>Details below.</td></tr><tr><td><code>Products.Id</code></td><td><strong>Int</strong><br>Unique, system-generated product ID from the Avangate platform.</td></tr><tr><td><code>Products.Code</code></td><td><strong>String</strong><br>The code you can attach to products when configuring, editing or importing them in the Avangate platform.</td></tr><tr><td><code>Products.Name</code></td><td><strong>String</strong><br>Product name.</td></tr><tr><td><code>Products.SKU</code></td><td><strong>String</strong><br>Product SKU.</td></tr><tr><td><code>Products.ExtraInfo</code></td><td><strong>String</strong><br>Additional information text entered when generating buy links or via the INFO[productid]= parameter.</td></tr><tr><td><code>Products.Quanitty</code></td><td><strong>Int</strong><br>Purchase number of products.</td></tr><tr><td><code>Products.PromotionName</code></td><td><strong>String</strong><br>Promotion name.</td></tr><tr><td><code>Products.UnitPrice</code></td><td><strong>Double</strong><br>Price per product unit.</td></tr><tr><td><code>Products.UnitTaxes</code></td><td><strong>Double</strong><br>Taxes per product unit.</td></tr><tr><td><code>Products.UnitDiscount</code></td><td><strong>Double</strong><br>Discount per product unit.</td></tr><tr><td><code>Products.UnitAffiliateCommision</code></td><td><strong>Double</strong><br>Affiliate commission per product unit.</td></tr><tr><td><code>Products.Options</code></td><td><strong>Array of objects</strong><br>Array of product pricing options with the structure detailed below.</td></tr><tr><td><code>Products.Options.OptionText</code></td><td><strong>String</strong><br>The name of the pricing option selected during the purchase process.</td></tr><tr><td><code>Products.Options.OptionValue</code></td><td><strong>String</strong><br>Unique option value code.</td></tr><tr><td><code>Products.Options.OptionalValue</code></td><td><strong>String</strong><br>Unique option value code.</td></tr><tr><td><code>Products.Options.Operator</code></td><td><strong>String</strong><br>ADD or SUBTRACT, depending on whether the option adds or subtracts a specific amount to or from the product price.</td></tr><tr><td><code>Products.Options.Usage</code></td><td><strong>String</strong></td></tr><tr><td><code>Products.Options.Price</code></td><td><strong>String</strong><br>The amount added or subtracted by the pricing options.</td></tr><tr><td><code>Products.Options.GroupName</code></td><td><strong>String</strong><br>Product options group name.</td></tr><tr><td><code>Products.AdditionalFields</code></td><td><strong>Array of objects</strong><br>Array of <code>AdditionalFields</code> information objects with the structure detailed below.</td></tr><tr><td><code>Products.AdditionalFields.FieldText</code></td><td><strong>String</strong><br>Field text visible to shoppers in the cart.</td></tr><tr><td><code>Products.AdditionalFields.FieldValue</code></td><td><strong>String</strong><br>The alpha-numeric characters, underscores and dashes set as the field identifier.</td></tr><tr><td><code>Products.Subscription</code></td><td><strong>Array of objects</strong><br>Array of subscriptions objects with the structure detailed below.</td></tr><tr><td><code>Products.Subscriptions.SubscriptionReference</code></td><td><strong>String</strong><br>Unique, system-generated subscription identifier.</td></tr><tr><td><code>Products.Subscriptions.PurchaseDate</code></td><td><strong>String</strong><br>Purchase date.</td></tr><tr><td><code>Products.Subscriptions.ExpirationDate</code></td><td><strong>String</strong><br>Renewal / expiration date, not considering grace period settings.</td></tr><tr><td><code>Products.Subscriptions.LifeTime</code></td><td><strong>Boolean</strong><br>Subscription duration.</td></tr><tr><td><code>Products.Subscriptions.Trial</code></td><td><strong>Boolean</strong><br><strong>True</strong> or <strong>false</strong>, depending on whether the subscription is a trial.</td></tr><tr><td><code>Products.Subscriptions.Disabled</code></td><td><strong>Boolean</strong><br><strong>True</strong> or <strong>false</strong>, depending on whether the subscription is disabled.</td></tr><tr><td><code>Products.Subscriptions.RecurringEnabled</code></td><td><strong>Boolean</strong><br><strong>True</strong> or <strong>false</strong>, depending on whether the subscription renewal system is enabled.</td></tr><tr><td><code>AdditionalFields</code></td><td><strong>Array of objects</strong><br>Array of <code>AdditionalFields</code> information objects with the structure detailed below.</td></tr><tr><td><code>AdditionalFields.FieldText</code></td><td><strong>String</strong><br>Field text visible to shoppers in the cart.</td></tr><tr><td><code>AdditionalFields.FieldValue</code></td><td><strong>String</strong><br>The alpha-numeric characters, underscores and dashes set as the field identifier.</td></tr><tr><td><code>PartnerCode</code></td><td><strong>String</strong><br>Partner code defined in the Control Panel. NULL for eStore orders.</td></tr><tr><td><code>PartnerMargin</code></td><td><strong>Double</strong><br>Partner margin offered for the order. NULL for eStore orders.</td></tr><tr><td><code>PartnerMarginPercent</code></td><td><strong>Double</strong><br>Partner margin percentage from the net value of the products ordered, minus the value of any discounts. NULL for eStore orders.</td></tr><tr><td><code>ExtraMargin</code></td><td><strong>Double</strong><br>Extra margin offered. NULL for eStore orders.</td></tr><tr><td><code>ExtraMarginPercent</code></td><td><strong>Double</strong><br>Extra partner margin percentage from the net value of the products ordered, minus the partner margin and the value of any discounts. NULL for eStore orders.</td></tr><tr><td><code>ExtraDiscount</code></td><td><strong>Double</strong><br>Extra discount offered. NULL for eStore orders.</td></tr><tr><td><code>ExtraDiscountPercent</code></td><td><strong>Double</strong><br>Partner margin percentage from the net value of the products ordered, minus the value of any coupon discounts. NULL for eStore orders.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.2checkout.com/channel-manager-api/channel-manager-api/api-2.1/soap-2.1/reference/order/orderinformation-object-structure.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
